Bug 1158461 - Update to 1.24
Summary: Update to 1.24
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: git-review
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-29 12:40 UTC by Tim Landscheidt
Modified: 2014-11-12 06:47 UTC (History)
2 users (show)

Fixed In Version: git-review-1.24-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-12 02:43:05 UTC


Attachments (Terms of Use)

Description Tim Landscheidt 2014-10-29 12:40:21 UTC
Several bugs have been fixed upstream since 1.22 (including bug #1058167) so it would be nice to update Fedora (19)'s version as well.

A naive "1.22" to "1.24" replacement gave:

| [tim@passepartout ~/RPMS/SPECS]$ rpmbuild --sign -ba git-review.spec
| + umask 022
| + cd /home/tim/RPMS/BUILD
| + cd /home/tim/RPMS/BUILD
| + rm -rf git-review-1.24
| + /usr/bin/tar -xf -
| + /usr/bin/gzip -dc /home/tim/RPMS/SOURCES/git-review-1.24.tar.gz
| + STATUS=0
| + '[' 0 -ne 0 ']'
| + cd git-review-1.24
| + /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
| + exit 0
| + umask 022
| + cd /home/tim/RPMS/BUILD
| + cd git-review-1.24
| + /usr/bin/python setup.py build
| warning: no files found matching 'pip/cacert.pem'
| warning: no files found matching '*.html' under directory 'docs'
| warning: no previously-included files matching '*.rst' found under directory 'docs/_build'
| no previously-included directories found matching 'docs/_build/_sources'
| ERROR:root:Error parsing
| Traceback (most recent call last):
|   File "/home/tim/RPMS/BUILD/git-review-1.24/pbr-0.10.0-py2.7.egg/pbr/core.py", line 104, in pbr
|     attrs = util.cfg_to_args(path)
|   File "/home/tim/RPMS/BUILD/git-review-1.24/pbr-0.10.0-py2.7.egg/pbr/util.py", line 238, in cfg_to_args
|     pbr.hooks.setup_hook(config)
|   File "/home/tim/RPMS/BUILD/git-review-1.24/pbr-0.10.0-py2.7.egg/pbr/hooks/__init__.py", line 27, in setup_hook
|     metadata_config.run()
|   File "/home/tim/RPMS/BUILD/git-review-1.24/pbr-0.10.0-py2.7.egg/pbr/hooks/base.py", line 29, in run
|     self.hook()
|   File "/home/tim/RPMS/BUILD/git-review-1.24/pbr-0.10.0-py2.7.egg/pbr/hooks/metadata.py", line 28, in hook
|     self.config['name'], self.config.get('version', None))
|   File "/home/tim/RPMS/BUILD/git-review-1.24/pbr-0.10.0-py2.7.egg/pbr/packaging.py", line 870, in get_version
|     raise Exception("Versioning for this project requires either an sdist"
| Exception: Versioning for this project requires either an sdist tarball, or access to an upstream git repository. Are you sure that git is installed?
| error in setup command: Error parsing /home/tim/RPMS/BUILD/git-review-1.24/setup.cfg: Exception: Versioning for this project requires either an sdist tarball, or access to an upstream git repository. Are you sure that git is installed?
| Fehler: Fehler-Status beim Beenden von /var/tmp/rpm-tmp.1KH5aC (%build)
|     Fehler-Status beim Beenden von /var/tmp/rpm-tmp.1KH5aC (%build)
| [tim@passepartout ~/RPMS/SPECS]$

So some debugging needs to be done.

Also, I believe Fedora has a mechanism that watches upstreams for new versions and files bugs if it finds them.  It might be worthwhile to set it up for git-review if possible.

Comment 1 Tim Landscheidt 2014-10-29 12:42:59 UTC
(1.23 works fine, so the problem above seems to have been introduced in 1.24.)

Comment 2 Tim Landscheidt 2014-10-29 12:53:36 UTC
(http://pypi.python.org/packages/source/g/git-review/git-review-1.24.tar.gz is different and works somewhat.)

Comment 3 Tim Landscheidt 2014-10-29 18:56:18 UTC
https://github.com/scfc/fedora-git-review/commit/b35c26010d67affd5da0305af2c1d9965c571fd3, tested only on F19 and looks-good-to-me.  I stumbled over some issues that I'll take to python-devel.

Also, I found that I meant http://fedoraproject.org/wiki/Upstream_release_monitoring when speaking about the upstream watcher above.

Comment 4 Pete Zaitcev 2014-10-29 19:04:37 UTC
Thanks for letting me know about the 1.24. I'll roll one right away.
The 1.23 had regressions for the OpenStack workflows, so I skipped
it on purpose.

Comment 5 Fedora Update System 2014-10-30 01:55:03 UTC
git-review-1.24-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/git-review-1.24-1.fc20

Comment 6 Tim Landscheidt 2014-10-30 11:38:57 UTC
Pete, could you push that to F19 as well, please?

Comment 7 Pete Zaitcev 2014-10-30 17:07:44 UTC
Your wish is my command.

However, Tim, you _really_ need to think about running
"yum distro-sync" one of these days. Just IMHO.

Comment 8 Pete Zaitcev 2014-10-30 17:48:40 UTC
BTW, please test https://admin.fedoraproject.org/updates/git-review-1.24-1.fc19

Comment 9 Fedora Update System 2014-11-01 01:31:07 UTC
Package git-review-1.24-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing git-review-1.24-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-13999/git-review-1.24-1.fc20
then log in and leave karma (feedback).

Comment 10 Tim Landscheidt 2014-11-08 20:27:05 UTC
Thanks, works nicely!

(In reply to Pete Zaitcev from comment #7)
> [...]

> However, Tim, you _really_ need to think about running
> "yum distro-sync" one of these days. Just IMHO.

What do you mean by that?

Comment 11 Pete Zaitcev 2014-11-10 16:48:46 UTC
> What do you mean by that?

F19 is about to fall off support. We had F21 Beta out last week.

Comment 12 Fedora Update System 2014-11-12 02:43:05 UTC
git-review-1.24-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Pete Zaitcev 2014-11-12 06:47:10 UTC
Unfortunately I screwed up and you need to have python-requests
installed for this to work (see bug 1162709).


Note You need to log in before you can comment on or make changes to this bug.